﻿public class RespawnInHard : Mod
{
    private static void GetPlayerSpecificVariables(out bool canSurrender, out bool clearInventoryOnSurrender)
    {
        PlayerSpecificVariables playerSpecificVariables = GameModeValueManager.GetCurrentGameModeValue().playerSpecificVariables;
        canSurrender = playerSpecificVariables.canSurrender;
        clearInventoryOnSurrender = playerSpecificVariables.clearInventoryOnSurrender;
    }
    private static void SetPlayerSpecificVariables(bool canSurrender, bool clearInventoryOnSurrender)
    {
        PlayerSpecificVariables playerSpecificVariables = GameModeValueManager.GetCurrentGameModeValue().playerSpecificVariables;
        playerSpecificVariables.canSurrender = canSurrender;
        playerSpecificVariables.clearInventoryOnSurrender = clearInventoryOnSurrender;
    }
    private static bool canSurrenderSaved = true;
    private static bool clearInventoryOnSurrenderSaved = true;
    public void Start()
    {
        if (GameModeValueManager.GetCurrentGameModeValue().gameMode == GameMode.Hardcore)
        {
            GetPlayerSpecificVariables(out canSurrenderSaved, out clearInventoryOnSurrenderSaved);
            SetPlayerSpecificVariables(true, true);
        }
    }
    public override void WorldEvent_WorldLoaded()
    {
        if (GameModeValueManager.GetCurrentGameModeValue().gameMode == GameMode.Hardcore)
        {
            SetPlayerSpecificVariables(true, true);
        }
    }
    public void OnModUnload()
    {
        if (GameModeValueManager.GetCurrentGameModeValue().gameMode == GameMode.Hardcore)
        {
            SetPlayerSpecificVariables(canSurrenderSaved, clearInventoryOnSurrenderSaved);
        }
    }
}
